aboutsummaryrefslogtreecommitdiffstats
path: root/common/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts')
-rwxr-xr-xcommon/scripts/latex/build.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/common/scripts/latex/build.sh b/common/scripts/latex/build.sh
index 1ff2b6e..80ecc57 100755
--- a/common/scripts/latex/build.sh
+++ b/common/scripts/latex/build.sh
@@ -46,8 +46,8 @@ fd . "$root/figures" --type file --extension tex | while read -r figure; do
echo " -> Didn't change, not re-compiling."
else
echo "$figure_hash" >"$dst/figures/$figure_name/$figure_name.sha256sum_hash"
- pdflatex -output-directory="$dst" -file-line-error -jobname="figures/$figure_name/$figure_name" "$figure"
+ pdflatex -output-directory="$dst" -file-line-error -jobname="figures/$figure_name/$figure_name" "$figure" || exit 1
fi
-done
+done || exit 1
latexmk -outdir="$dst" -file-line-error -pdflatex -recorder "$file"